Next: ASIN, Previous: ANINT, Up: Intrinsic Procedures

### 8.17 `ANY` — Any value in MASK along DIM is true

Description:
  `ANY(MASK [, DIM])` determines if any of the values in the logical array MASK along dimension DIM are `.TRUE.`.
Standard:
  Fortran 95 and later
Class:
  Transformational function
Syntax:
  `RESULT = ANY(MASK [, DIM])`
Arguments:

  MASK | The type of the argument shall be `LOGICAL` and it shall not be scalar.
  DIM | (Optional) DIM shall be a scalar integer with a value that lies between one and the rank of MASK.

Return value:
  `ANY(MASK)` returns a scalar value of type `LOGICAL` where the kind type parameter is the same as the kind type parameter of MASK. If DIM is present, then `ANY(MASK, DIM)` returns an array with the rank of MASK minus 1. The shape is determined from the shape of MASK where the DIM dimension is elided.
  (A)
    `ANY(MASK)` is true if any element of MASK is true; otherwise, it is false. It also is false if MASK has zero size.
  (B)
    If the rank of MASK is one, then `ANY(MASK,DIM)` is equivalent to `ANY(MASK)`. If the rank is greater than one, then `ANY(MASK,DIM)` is determined by applying `ANY` to the array sections.
Example:

                program test_any
                  logical l
                  l = any((/.true., .true., .true./))
                  print *, l
                  call section
                  contains
                    subroutine section
                      integer a(2,3), b(2,3)
                      a = 1
                      b = 1
                      b(2,2) = 2
                      print *, any(a .eq. b, 1)
                      print *, any(a .eq. b, 2)
                    end subroutine section
                end program test_any